@font-face {
    font-family: spaceFont;
    src: url(fonts/SpaceRegular-7BrmD.ttf);
}

* {
    margin: 0;
    padding: 0;
}

body {
    position: relative;
    text-align: center;
    width: 100%;
    height: 100vh;
    background-color: #05122d;
    z-index: 1;
    overflow-x: hidden;
}

#home {
    position: relative;
    width: 100%;
    height: 100vh;
    z-index: 4;
}

/*START HOME SECTION*/

.astronautRocket {
    position: absolute;
    margin: auto;
    left: 0;
    right: 0;
    width: 30%;
    height: 30vh;
    top: 10%;
    z-index: 1;
    transform: rotate(-5deg);
}

.container-title {
    position: absolute;
    margin: auto;
    left: 0;
    right: 0;
    width: 30%;
    top: 35%;
}

.title {
    position: relative;
    color: #e5e5e5;
    font-size: 3vw;
    font-weight: 200;
    font-family: spaceFont;
    z-index: 2;
}

.stars {
    width: 100%;
    height: 100%;
    mix-blend-mode: screen;
    opacity: 20%;
}

.asteroide {
    margin: 5% auto;
    width: 30vh;
    transform: rotate(105deg);
}


/*END HOME SECTION*/

/*SPACE SECTION START*/

#space {
    position: relative;
    text-align: center;
    width: 100%;
    height: 100vh;
    z-index: 1;
}

.test{
    position: relative;
    width: 100%;
    height: 100%;
    transform: scale(0.1);
    transition: all 10s;
}

.aboutBeforeGalaxy{
    position: absolute;
    left: 0;
    right: 0;
    margin: auto;
    font-size: 2vw;
    top: 10%;
    transform: translateY(-50%);
    color: white;
    transition: all .5s;
}

.small {
    mix-blend-mode: normal;
    border-radius: 50%;
    width: 10vw;
    height: 10vw;
    position: absolute;
    top: 50%;
    transform: translateY(-50%) rotate(180deg);
    margin: auto;
    left: 0;
    right: 0;
}

@keyframes galaxyAnimation {
    from{width: 10vw; height: 10vw; opacity: 100%; border-radius: 50%;}
    80%{width: 80vw; height: 80vw; opacity: 40%; border-radius: 50%;}
    to{width: 100vw; height: 100vh; opacity: 20%; border-radius: 0%;}
}

.playPauseBtn{
    font-family: sans-serif;
    font-size: 1vw;
    position: absolute;
    margin: auto;
    opacity: 0%;
    visibility: hidden;
    width: 13vw;
    height: 8vh;
    left: 0;
    right: 80vw;
    top: 1vh;
    border-radius: 30vh;
    z-index: 2;
    transition: all .5s;
}

.resetPlanetsBtn{
    font-size: 1vw;
    font-family: sans-serif;
    position: absolute;
    margin: auto;
    opacity: 0%;
    visibility: hidden;
    width: 13vw;
    height: 8vh;
    left: 0;
    right: 80vw;
    top: 10vh;
    border-radius: 30vh;
    z-index: 2;
    transition: all .5s;
}

.astronautPhone {
    visibility: hidden;
    opacity: 0%;
    position: absolute;
    margin: auto;
    left: 0;
    right: 100%;
    width: 10%;
    height: 20vh;
    top: 70%;
    z-index: 2;
    transform: scaleX(-1) rotate(0deg);
    transition: all .5s;
}

.bubble {
    visibility: hidden;
    opacity: 0%;
    position: absolute;
    left: 0%;
    right: 70%;
    top: 55vh;
    margin: auto;
    font-family: sans-serif;
    font-size: 1vw;
    line-height: 1vw;
    width: 20vw;
    background: #fff;
    border-radius: 7vh;
    padding: 3vh;
    text-align: center;
    color: #000;
    z-index: 1;
    transition: all .5s;
}

.bubble-bottom-left:before {
    content: "";
    margin-left: 0%;
    width: 0vw;
    height: 0vh;
    position: absolute;
    border-left: 24px solid #fff;
    border-right: 12px solid transparent;
    border-top: 12px solid #fff;
    border-bottom: 20px solid transparent;
    left: 5vh;
    bottom: -1vw;
}

/*START OF ANIMATION/POSITION OF PLANETS*/
.planets {
    visibility: hidden;
    opacity: 0%;
    position: absolute;
    margin: auto;
    top: 50%;
    left: 0;
    right: 0;
    transition: all 5s;
}

.planets:hover {
    cursor: pointer;
}

.sun {
    position: absolute;
    margin: auto;
    left: 0;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    -webkit-transform: translateY(-50%);
    width: 10%;
}

.mercury {
    width: 0.5%;
    transform: rotate(0deg) translateX(6vw) rotate(0deg) translateY(-50%);
}

@keyframes orbitMercury {
	from { 	transform: rotate(0deg) translateX(6vw) rotate(0deg) translateY(-50%);}
	to   {  transform: rotate(360deg) translateX(6vw) rotate(-360deg) translateY(-50%);}
}

.venus {
    transform: rotate(0deg) translateX(8.5vw) rotate(0deg) translateY(-50%);
    width: 2.5%;
}

@keyframes orbitVenus {
	from { 	transform: rotate(0deg) translateX(8.5vw) rotate(0deg) translateY(-50%); }
	to   {  transform: rotate(360deg) translateX(8.5vw) rotate(-360deg) translateY(-50%); }
}

.earth {
    transform: rotate(0deg) translateX(12.5vw) rotate(0deg) translateY(-50%);
    width: 2.5%;
}

@keyframes orbitEarth {
	from { 	transform: rotate(0deg) translateX(12.5vw) rotate(0deg) translateY(-50%); }
	to   {  transform: rotate(360deg) translateX(12.5vw) rotate(-360deg) translateY(-50%); }
}

.mars {
    transform: rotate(0deg) translateX(16.5vw) rotate(0deg) translateY(-50%);
    width: 2%;
}

@keyframes orbitMars {
	from { 	transform: rotate(0deg) translateX(16.5vw) rotate(0deg) translateY(-50%); }
	to   {  transform: rotate(360deg) translateX(16.5vw) rotate(-360deg) translateY(-50%); }
}

.jupiter {
    transform: rotate(0deg) translateX(22vw) rotate(0deg) translateY(-50%);
    width: 5%;
}

@keyframes orbitJupiter {
	from { 	transform: rotate(0deg) translateX(22vw) rotate(0deg) translateY(-50%); }
	to   {  transform: rotate(360deg) translateX(22vw) rotate(-360deg) translateY(-50%); }
}

.saturn {
    transform: rotate(0deg) translateX(31vw) rotate(0deg) translateY(-50%);
    width: 8%;
}

@keyframes orbitSaturn {
	from { 	transform: rotate(0deg) translateX(31vw) rotate(0deg) translateY(-50%); }
	to   {  transform: rotate(360deg) translateX(31vw) rotate(-360deg) translateY(-50%); }
}

.uranus {
    transform: rotate(0deg) translateX(38.5vw) rotate(0deg) translateY(-50%);
    width: 5.5%;
}

@keyframes orbitUranus {
	from { 	transform: rotate(0deg) translateX(38.5vw) rotate(0deg) translateY(-50%); }
	to   {  transform: rotate(360deg) translateX(38.5vw) rotate(-360deg) translateY(-50%); }
}

.neptune {
    transform: rotate(0deg) translateX(44.5vw) rotate(0deg) translateY(-50%);
    width: 4.6%;
}

@keyframes orbitNeptune {
	from { 	transform: rotate(0deg) translateX(44.5vw) rotate(0deg) translateY(-50%); }
	to   {  transform: rotate(360deg) translateX(44.5vw) rotate(-360deg) translateY(-50%); }
}

/*END OF ANIMATION/POSITION OF PLANETS*/
/* SPACE SECTION ENDS */

/* LIFE ON EARTH SECTION STARTS*/

#lifeOnEarth{
    width: 100%;
    height: 120vh;
    z-index: 4;
}

.title-planet{
    position: relative;
    margin: auto;
    left: 0;
    right: 0;
    color: #e5e5e5;
    font-size: 3vw;
    font-weight: 200;
    font-family: spaceFont;
    z-index: 2;
}

.stars4{
    position: absolute;
    left: 0;
    right: 0;
    width: 100%;
    height: 120vh;
    mix-blend-mode: screen;
    opacity: 20%;
}

.container{
    width: 55vh;
    height: 15vw;
    margin: 1vw;
    display: inline-block;
    background-color: #102145;
}

.planet-name{
    margin-top: -7vh;
    opacity: 50%;
    color: #fff;
}

.container-text{
    width: 100%;
    height: 15vh;
    visibility: hidden;
    opacity: 0%;
    top: 50%;
    transform: translateY(55px);
    transition: all 1s;
}

.text-curiosity{
    position: relative;
    font-size: 1.2rem;
    color: #fff;
    width: 95%;
    left: 0;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    margin: auto;
    z-index: 1;
    transition: all 1s;
}

.img{
    position: relative;
    margin: auto;
    left: 0;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    width: 8vw;
}   

.uranus1{
    width: 12vw;
}

.saturn1{
    width: 12vw;
}

.sunHover:hover .container-text{
    background-color: #1c3160cd;
    visibility: visible;
    opacity: 100%;
    transform: translateY(-50%);
}

.mercuryHover:hover .container-text{
    background-color: #1c3160cd;
    visibility: visible;
    opacity: 100%;
    transform: translateY(-50%);
}

.venusHover:hover .container-text{
    background-color: #1c3160cd;
    visibility: visible;
    opacity: 100%;
    transform: translateY(-50%);
}
.earthHover:hover .container-text{
    background-color: #1c3160cd;
    visibility: visible;
    opacity: 100%;
    transform: translateY(-50%);
}
.marsHover:hover .container-text{
    background-color: #1c3160cd;
    visibility: visible;
    opacity: 100%;
    transform: translateY(-50%);
}
.jupiterHover:hover .container-text{
    background-color: #1c3160cd;
    visibility: visible;
    opacity: 100%;
    transform: translateY(-50%);
}
.saturnHover:hover .container-text{
    background-color: #1c3160cd;
    visibility: visible;
    opacity: 100%;
    transform: translateY(-50%);
}
.uranusHover:hover .container-text{
    background-color: #1c3160cd;
    visibility: visible;
    opacity: 100%;
    transform: translateY(-50%);
}
.neptuneHover:hover .container-text{
    background-color: #1c3160cd;
    visibility: visible;
    opacity: 100%;
    transform: translateY(-50%);
}
/* LIFE ON EARTH SECTION ENDS*/

/* START OF FOOTER */
#footer{
    position: sticky;
    width: 100%;
    height: 10vh;
    background-color: black;
}

.footer-name{
    position: relative;
    left: 0;
    right: 0;
    margin: auto;
    width: 30%;
    top: 30%;
    transform: translateY(-50%);
    color: white;
}

.footer-text{
    position: relative;
    left: 0;
    right: 0;
    margin: auto;
    width: 100%;
    top: 30%;
    transform: translateY(-50%);  
    color: rgb(157, 148, 148);
}
/* END OF THE FOOTER */


@media (max-width: 1024px){

    .planet-name{
        margin-top: -17vh;
    }

    #lifeOnEarth{
        height: 150vh;
    }

    .stars4{
        height: 150vh;
    }
    
}

@media (max-width: 768px){
    .playPauseBtn{
        width: 25vw;
        font-size: 2vw;
    }
    
    .resetPlanetsBtn{
        width: 25vw;
        font-size: 2vw;
    }
    
    .bubble {
        font-size: 2vw;
        line-height: 2vw;
        top: 48%;
    }

    #lifeOnEarth{
        height: 190vh;
    }

    .stars4{
        height: 190vh;
    }
    
}

@media (max-width: 425px){

    .title{
        font-size: 10vw;
    }
    .container-title{
        width: 50%;
    }
    .asteroide{
        width: 40vw;
    }

    .playPauseBtn{
        width: 35vw;
        font-size: 4vw;
    }
    
    .resetPlanetsBtn{
        width: 35vw;
        font-size: 4vw;
    }
    
    .bubble {
        width: 30%;
        font-size: 4vw;
        line-height: 4vw;
        top: 55%;
    }

    #lifeOnEarth{
        height: 120vh;
    }

    .stars4{
        height: 120vh;
    }


    .container-text{
        width: 100%;
        height: 15vh;
    }
    
    .text-curiosity{
        font-size: 2.5vw;
        width: 100%;
    }

    .footer-text{
        font-size: 3.5vw;
    }
}

@media (max-width: 375px){
    .title-planet{
        font-size: 5vw;
    }
}

@media (max-width: 320px){
    .container{
        margin: 2vh;
        width: 40vh;
    }
    
    .text-curiosity{
        font-size: 4.5vw;
    }
}

